{
  "$schema": "https://raw.githubusercontent.com/spdx/spdx-spec/v2.2.1/schemas/spdx-schema.json",
  "spdxVersion": "SPDX-2.2",
  "dataLicense": "CC0-1.0",
  "SPDXID": "SPDXRef-DOCUMENT",
  "documentNamespace": "https://spdx.org/spdxdocs/abseil-x64-windows-release-20250127.0-59740ef1-b61e-44c8-a6cd-8ee56f983e28",
  "name": "abseil:x64-windows-release@20250127.0 88907bfce9bfcb3c299f146ef1675fc6fbf9868439194870cf8ffb3abbc478d3",
  "creationInfo": {
    "creators": [
      "Tool: vcpkg-2025-02-11-bec4296bf5289dc9ce83b4f5095943e44162f9c2"
    ],
    "created": "2025-04-07T11:33:58Z"
  },
  "relationships": [
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "GENERATES",
      "relatedSpdxElement": "SPDXRef-binary"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-0"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-1"
    },
    {
      "spdxElementId": "SPDXRef-binary",
      "relationshipType": "GENERATED_FROM",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-0",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-1",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    }
  ],
  "packages": [
    {
      "name": "abseil",
      "SPDXID": "SPDXRef-port",
      "versionInfo": "20250127.0",
      "downloadLocation": "git+https://github.com/Microsoft/vcpkg#ports/abseil",
      "homepage": "https://github.com/abseil/abseil-cpp",
      "licenseConcluded": "Apache-2.0",
      "licenseDeclared": "NOASSERTION",
      "copyrightText": "NOASSERTION",
      "description": "Abseil is an open-source collection of C++ library code designed to augment the C++ standard library. The Abseil library code is collected from Google's own C++ code base, has been extensively tested and used in production, and is the same code we depend on in our daily coding lives.\nIn some cases, Abseil provides pieces missing from the C++ standard; in others, Abseil provides alternatives to the standard for special needs we've found through usage in the Google code base. We denote those cases clearly within the library code we provide you.\nAbseil is not meant to be a competitor to the standard library; we've just found that many of these utilities serve a purpose within our code base, and we now want to provide those resources to the C++ community as a whole.",
      "comment": "This is the port (recipe) consumed by vcpkg."
    },
    {
      "name": "abseil:x64-windows-release",
      "SPDXID": "SPDXRef-binary",
      "versionInfo": "88907bfce9bfcb3c299f146ef1675fc6fbf9868439194870cf8ffb3abbc478d3",
      "downloadLocation": "NONE",
      "licenseConcluded": "Apache-2.0",
      "licenseDeclared": "NOASSERTION",
      "copyrightText": "NOASSERTION",
      "comment": "This is a binary package built by vcpkg."
    },
    {
      "SPDXID": "SPDXRef-resource-0",
      "name": "abseil/abseil-cpp",
      "downloadLocation": "git+https://github.com/abseil/abseil-cpp@20250127.0",
      "licenseConcluded": "NOASSERTION",
      "licenseDeclared": "NOASSERTION",
      "copyrightText": "NOASSERTION",
      "checksums": [
        {
          "algorithm": "SHA512",
          "checksumValue": "2a021faad807ee3e23548716ffa4785dc2409edbb4be676cc4bc01d47885760de340f0a4afdcbf0aaa835affd6d78f7bc319bbf7d337dbc30e7a559d0088e4bd"
        }
      ]
    }
  ],
  "files": [
    {
      "fileName": "./D:/a/build-qt/build-qt/vcpkg/ports/abseil/portfile.cmake",
      "SPDXID": "SPDXRef-file-0",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "b5e3de5dd661d3e93fa129c99d09dddfa7078a59334e0b457a2b73b068c72e88"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    },
    {
      "fileName": "./D:/a/build-qt/build-qt/vcpkg/ports/abseil/vcpkg.json",
      "SPDXID": "SPDXRef-file-1",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "c60430987705594f7f0b87e0182a2f2a12bb7ddd4c0f39fc87fa32b2f43acf0e"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    }
  ]
}
